<div class="container">
    <div class="row">
        <div class="col-12 d-flex flex-column justify-content-center">
            <h2 class="text-center"> Change your Password</h2>
            <div class="d-flex justify-content-center">
                <form [formGroup]="changePswForm" (ngSubmit)="onChange()">
                    <div class="row">
                        <div class="col-12 my-3">
                            <input 
                                type="email"
                                placeholder="Your email"
                                class="form-control" 
                                id="email" 
                                formControlName="email">
                        </div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-12">
                            <input 
                                type="password" 
                                placeholder="Your current password" 
                                class="form-control"
                                id="oldPassword" 
                                formControlName="oldPassword">
                        </div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-12">
                            <input 
                                type="password" 
                                placeholder="Your new password" 
                                class="form-control"
                                id="newPassword" 
                                formControlName="newPassword">
                        </div>
                    </div>
                    <div class="d-flex justify-content-center">
                        <button type="submit" class="btn btn-secondary">Change</button>
                    </div>
                </form>
            </div>
        </div>   
    </div>
</div>
